import { ExcelTemplate } from './excel.model';
import { ConfigurationService } from '../configuration/configuration.service';
import { NotifyService } from '../notify/notify.service';
export declare class ExcelService {
    private configurationService;
    private notifyService;
    importId: string;
    private get configuration();
    constructor(configurationService: ConfigurationService, notifyService: NotifyService);
    import: () => Promise<{
        items: any[];
        file: File;
    }>;
    export: (exportInfo: IExportInfo) => void;
    private current;
    private s2ab;
    generateExcelTemplate: (excelTemplate: ExcelTemplate) => Promise<{
        filePath: string;
    } | {
        fileName: string;
        filePath: string;
    }>;
    generateAndUploadExcelTemplate: (key: string, excelTemplate: ExcelTemplate) => Promise<{
        fileName: string;
        filePath: string;
    } | {
        fileName: string;
        filePath: string;
    }>;
    uploadTemplate: (key?: string, validator?: (fileName: string) => string) => Promise<import("./excel.model").ExcelConfig>;
    downloadTemplate: (filePath: string, fileName?: string) => Promise<void>;
    generateExcelDataByTemplate: (filePath: string, columns: any[], items: any[], fileName?: string) => Promise<void>;
    getFiles: (key?: string) => Promise<import("./excel.model").ExcelConfig[]>;
    remove: (key?: string, name?: string) => Promise<void>;
}
export interface IExportInfo {
    data: any[];
    sheetName?: string;
    fileName?: string;
}
